/*
	File:		UnicodeMapper.h

	Contains:	header information for UnicodeMapper - taken from UnicodePrivate.h.

	Written by:	David Fedor

	Copyright:	 1997 by Apple Computer, Inc., all rights reserved.

	Change History (most recent first):

*/


#ifndef __UNICODEMAPPER_H
#define __UNICODEMAPPER_H

// possible formats for the Unicode mapping tables
typedef UShort	TMapFormat;

typedef struct {
	TMapFormat		fMapFormatID;
	FastInt			fTableSize;
	FastInt			fRevision;
	FastInt			fTableInfo;

	void*			fCharCodes;
	UniChar*		fStartCodes;
	UniChar*		fEndCodes;
	SShort*			fCodeDeltas;
} TEncodingMap;


typedef void (*ConvertFromUnicodeProcPtr) ( const UniChar*, void*, void*, long );
typedef void (*ConvertToUnicodeProcPtr) ( const void*, UniChar*, void*, long );

typedef void (*GetMappingInfoProcPtr) (void* table, TEncodingMap* map, ProcPtr* mapFunction);
typedef void (*InstallCharEncodingProcPtr) (UShort encoding, Ptr fromUnicodeMapData, Ptr toUnicodeMapData, 
						 ConvertFromUnicodeProcPtr fromUnicodeProc, ConvertToUnicodeProcPtr toUnicodeProc);

#endif /* __UNICODEMAPPER_H */
